import { __assign, __extends } from "tslib";
import { ServerlessApplicationRepositoryServiceException as __BaseException } from "./ServerlessApplicationRepositoryServiceException";
export var ApplicationDependencySummary;
(function (ApplicationDependencySummary) {
    ApplicationDependencySummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ApplicationDependencySummary || (ApplicationDependencySummary = {}));
export var ApplicationPolicyStatement;
(function (ApplicationPolicyStatement) {
    ApplicationPolicyStatement.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ApplicationPolicyStatement || (ApplicationPolicyStatement = {}));
export var ApplicationSummary;
(function (ApplicationSummary) {
    ApplicationSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ApplicationSummary || (ApplicationSummary = {}));
export var Capability;
(function (Capability) {
    Capability["CAPABILITY_AUTO_EXPAND"] = "CAPABILITY_AUTO_EXPAND";
    Capability["CAPABILITY_IAM"] = "CAPABILITY_IAM";
    Capability["CAPABILITY_NAMED_IAM"] = "CAPABILITY_NAMED_IAM";
    Capability["CAPABILITY_RESOURCE_POLICY"] = "CAPABILITY_RESOURCE_POLICY";
})(Capability || (Capability = {}));
export var ParameterDefinition;
(function (ParameterDefinition) {
    ParameterDefinition.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ParameterDefinition || (ParameterDefinition = {}));
export var ParameterValue;
(function (ParameterValue) {
    ParameterValue.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ParameterValue || (ParameterValue = {}));
export var RollbackTrigger;
(function (RollbackTrigger) {
    RollbackTrigger.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RollbackTrigger || (RollbackTrigger = {}));
export var Tag;
(function (Tag) {
    Tag.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Tag || (Tag = {}));
export var VersionSummary;
(function (VersionSummary) {
    VersionSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(VersionSummary || (VersionSummary = {}));
var BadRequestException = (function (_super) {
    __extends(BadRequestException, _super);
    function BadRequestException(opts) {
        var _this = _super.call(this, __assign({ name: "BadRequestException", $fault: "client" }, opts)) || this;
        _this.name = "BadRequestException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, BadRequestException.prototype);
        _this.ErrorCode = opts.ErrorCode;
        _this.Message = opts.Message;
        return _this;
    }
    return BadRequestException;
}(__BaseException));
export { BadRequestException };
var ConflictException = (function (_super) {
    __extends(ConflictException, _super);
    function ConflictException(opts) {
        var _this = _super.call(this, __assign({ name: "ConflictException", $fault: "client" }, opts)) || this;
        _this.name = "ConflictException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ConflictException.prototype);
        _this.ErrorCode = opts.ErrorCode;
        _this.Message = opts.Message;
        return _this;
    }
    return ConflictException;
}(__BaseException));
export { ConflictException };
export var CreateApplicationRequest;
(function (CreateApplicationRequest) {
    CreateApplicationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateApplicationRequest || (CreateApplicationRequest = {}));
export var Version;
(function (Version) {
    Version.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Version || (Version = {}));
export var CreateApplicationResponse;
(function (CreateApplicationResponse) {
    CreateApplicationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateApplicationResponse || (CreateApplicationResponse = {}));
var ForbiddenException = (function (_super) {
    __extends(ForbiddenException, _super);
    function ForbiddenException(opts) {
        var _this = _super.call(this, __assign({ name: "ForbiddenException", $fault: "client" }, opts)) || this;
        _this.name = "ForbiddenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ForbiddenException.prototype);
        _this.ErrorCode = opts.ErrorCode;
        _this.Message = opts.Message;
        return _this;
    }
    return ForbiddenException;
}(__BaseException));
export { ForbiddenException };
var InternalServerErrorException = (function (_super) {
    __extends(InternalServerErrorException, _super);
    function InternalServerErrorException(opts) {
        var _this = _super.call(this, __assign({ name: "InternalServerErrorException", $fault: "server" }, opts)) || this;
        _this.name = "InternalServerErrorException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, InternalServerErrorException.prototype);
        _this.ErrorCode = opts.ErrorCode;
        _this.Message = opts.Message;
        return _this;
    }
    return InternalServerErrorException;
}(__BaseException));
export { InternalServerErrorException };
var TooManyRequestsException = (function (_super) {
    __extends(TooManyRequestsException, _super);
    function TooManyRequestsException(opts) {
        var _this = _super.call(this, __assign({ name: "TooManyRequestsException", $fault: "client" }, opts)) || this;
        _this.name = "TooManyRequestsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TooManyRequestsException.prototype);
        _this.ErrorCode = opts.ErrorCode;
        _this.Message = opts.Message;
        return _this;
    }
    return TooManyRequestsException;
}(__BaseException));
export { TooManyRequestsException };
export var CreateApplicationVersionRequest;
(function (CreateApplicationVersionRequest) {
    CreateApplicationVersionRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateApplicationVersionRequest || (CreateApplicationVersionRequest = {}));
export var CreateApplicationVersionResponse;
(function (CreateApplicationVersionResponse) {
    CreateApplicationVersionResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateApplicationVersionResponse || (CreateApplicationVersionResponse = {}));
export var RollbackConfiguration;
(function (RollbackConfiguration) {
    RollbackConfiguration.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(RollbackConfiguration || (RollbackConfiguration = {}));
export var CreateCloudFormationChangeSetRequest;
(function (CreateCloudFormationChangeSetRequest) {
    CreateCloudFormationChangeSetRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateCloudFormationChangeSetRequest || (CreateCloudFormationChangeSetRequest = {}));
export var CreateCloudFormationChangeSetResponse;
(function (CreateCloudFormationChangeSetResponse) {
    CreateCloudFormationChangeSetResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateCloudFormationChangeSetResponse || (CreateCloudFormationChangeSetResponse = {}));
export var CreateCloudFormationTemplateRequest;
(function (CreateCloudFormationTemplateRequest) {
    CreateCloudFormationTemplateRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateCloudFormationTemplateRequest || (CreateCloudFormationTemplateRequest = {}));
export var Status;
(function (Status) {
    Status["ACTIVE"] = "ACTIVE";
    Status["EXPIRED"] = "EXPIRED";
    Status["PREPARING"] = "PREPARING";
})(Status || (Status = {}));
export var CreateCloudFormationTemplateResponse;
(function (CreateCloudFormationTemplateResponse) {
    CreateCloudFormationTemplateResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateCloudFormationTemplateResponse || (CreateCloudFormationTemplateResponse = {}));
var NotFoundException = (function (_super) {
    __extends(NotFoundException, _super);
    function NotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "NotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "NotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, NotFoundException.prototype);
        _this.ErrorCode = opts.ErrorCode;
        _this.Message = opts.Message;
        return _this;
    }
    return NotFoundException;
}(__BaseException));
export { NotFoundException };
export var DeleteApplicationRequest;
(function (DeleteApplicationRequest) {
    DeleteApplicationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteApplicationRequest || (DeleteApplicationRequest = {}));
export var GetApplicationRequest;
(function (GetApplicationRequest) {
    GetApplicationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetApplicationRequest || (GetApplicationRequest = {}));
export var GetApplicationResponse;
(function (GetApplicationResponse) {
    GetApplicationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetApplicationResponse || (GetApplicationResponse = {}));
export var GetApplicationPolicyRequest;
(function (GetApplicationPolicyRequest) {
    GetApplicationPolicyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetApplicationPolicyRequest || (GetApplicationPolicyRequest = {}));
export var GetApplicationPolicyResponse;
(function (GetApplicationPolicyResponse) {
    GetApplicationPolicyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetApplicationPolicyResponse || (GetApplicationPolicyResponse = {}));
export var GetCloudFormationTemplateRequest;
(function (GetCloudFormationTemplateRequest) {
    GetCloudFormationTemplateRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetCloudFormationTemplateRequest || (GetCloudFormationTemplateRequest = {}));
export var GetCloudFormationTemplateResponse;
(function (GetCloudFormationTemplateResponse) {
    GetCloudFormationTemplateResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(GetCloudFormationTemplateResponse || (GetCloudFormationTemplateResponse = {}));
export var ListApplicationDependenciesRequest;
(function (ListApplicationDependenciesRequest) {
    ListApplicationDependenciesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListApplicationDependenciesRequest || (ListApplicationDependenciesRequest = {}));
export var ListApplicationDependenciesResponse;
(function (ListApplicationDependenciesResponse) {
    ListApplicationDependenciesResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListApplicationDependenciesResponse || (ListApplicationDependenciesResponse = {}));
export var ListApplicationsRequest;
(function (ListApplicationsRequest) {
    ListApplicationsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListApplicationsRequest || (ListApplicationsRequest = {}));
export var ListApplicationsResponse;
(function (ListApplicationsResponse) {
    ListApplicationsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListApplicationsResponse || (ListApplicationsResponse = {}));
export var ListApplicationVersionsRequest;
(function (ListApplicationVersionsRequest) {
    ListApplicationVersionsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListApplicationVersionsRequest || (ListApplicationVersionsRequest = {}));
export var ListApplicationVersionsResponse;
(function (ListApplicationVersionsResponse) {
    ListApplicationVersionsResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListApplicationVersionsResponse || (ListApplicationVersionsResponse = {}));
export var PutApplicationPolicyRequest;
(function (PutApplicationPolicyRequest) {
    PutApplicationPolicyRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutApplicationPolicyRequest || (PutApplicationPolicyRequest = {}));
export var PutApplicationPolicyResponse;
(function (PutApplicationPolicyResponse) {
    PutApplicationPolicyResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(PutApplicationPolicyResponse || (PutApplicationPolicyResponse = {}));
export var UnshareApplicationRequest;
(function (UnshareApplicationRequest) {
    UnshareApplicationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UnshareApplicationRequest || (UnshareApplicationRequest = {}));
export var UpdateApplicationRequest;
(function (UpdateApplicationRequest) {
    UpdateApplicationRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateApplicationRequest || (UpdateApplicationRequest = {}));
export var UpdateApplicationResponse;
(function (UpdateApplicationResponse) {
    UpdateApplicationResponse.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateApplicationResponse || (UpdateApplicationResponse = {}));
