import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { CreateApplicationCommandInput, CreateApplicationCommandOutput } from "../commands/CreateApplicationCommand";
import { CreateApplicationVersionCommandInput, CreateApplicationVersionCommandOutput } from "../commands/CreateApplicationVersionCommand";
import { CreateCloudFormationChangeSetCommandInput, CreateCloudFormationChangeSetCommandOutput } from "../commands/CreateCloudFormationChangeSetCommand";
import { CreateCloudFormationTemplateCommandInput, CreateCloudFormationTemplateCommandOutput } from "../commands/CreateCloudFormationTemplateCommand";
import { DeleteApplicationCommandInput, DeleteApplicationCommandOutput } from "../commands/DeleteApplicationCommand";
import { GetApplicationCommandInput, GetApplicationCommandOutput } from "../commands/GetApplicationCommand";
import { GetApplicationPolicyCommandInput, GetApplicationPolicyCommandOutput } from "../commands/GetApplicationPolicyCommand";
import { GetCloudFormationTemplateCommandInput, GetCloudFormationTemplateCommandOutput } from "../commands/GetCloudFormationTemplateCommand";
import { ListApplicationDependenciesCommandInput, ListApplicationDependenciesCommandOutput } from "../commands/ListApplicationDependenciesCommand";
import { ListApplicationsCommandInput, ListApplicationsCommandOutput } from "../commands/ListApplicationsCommand";
import { ListApplicationVersionsCommandInput, ListApplicationVersionsCommandOutput } from "../commands/ListApplicationVersionsCommand";
import { PutApplicationPolicyCommandInput, PutApplicationPolicyCommandOutput } from "../commands/PutApplicationPolicyCommand";
import { UnshareApplicationCommandInput, UnshareApplicationCommandOutput } from "../commands/UnshareApplicationCommand";
import { UpdateApplicationCommandInput, UpdateApplicationCommandOutput } from "../commands/UpdateApplicationCommand";
export declare const serializeAws_restJson1CreateApplicationCommand: (input: CreateApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateApplicationVersionCommand: (input: CreateApplicationVersionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateCloudFormationChangeSetCommand: (input: CreateCloudFormationChangeSetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1CreateCloudFormationTemplateCommand: (input: CreateCloudFormationTemplateCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteApplicationCommand: (input: DeleteApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetApplicationCommand: (input: GetApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetApplicationPolicyCommand: (input: GetApplicationPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1GetCloudFormationTemplateCommand: (input: GetCloudFormationTemplateCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListApplicationDependenciesCommand: (input: ListApplicationDependenciesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListApplicationsCommand: (input: ListApplicationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListApplicationVersionsCommand: (input: ListApplicationVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1PutApplicationPolicyCommand: (input: PutApplicationPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UnshareApplicationCommand: (input: UnshareApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateApplicationCommand: (input: UpdateApplicationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_restJson1CreateApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateApplicationCommandOutput>;
export declare const deserializeAws_restJson1CreateApplicationVersionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateApplicationVersionCommandOutput>;
export declare const deserializeAws_restJson1CreateCloudFormationChangeSetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateCloudFormationChangeSetCommandOutput>;
export declare const deserializeAws_restJson1CreateCloudFormationTemplateCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateCloudFormationTemplateCommandOutput>;
export declare const deserializeAws_restJson1DeleteApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteApplicationCommandOutput>;
export declare const deserializeAws_restJson1GetApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetApplicationCommandOutput>;
export declare const deserializeAws_restJson1GetApplicationPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetApplicationPolicyCommandOutput>;
export declare const deserializeAws_restJson1GetCloudFormationTemplateCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetCloudFormationTemplateCommandOutput>;
export declare const deserializeAws_restJson1ListApplicationDependenciesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListApplicationDependenciesCommandOutput>;
export declare const deserializeAws_restJson1ListApplicationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListApplicationsCommandOutput>;
export declare const deserializeAws_restJson1ListApplicationVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListApplicationVersionsCommandOutput>;
export declare const deserializeAws_restJson1PutApplicationPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutApplicationPolicyCommandOutput>;
export declare const deserializeAws_restJson1UnshareApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UnshareApplicationCommandOutput>;
export declare const deserializeAws_restJson1UpdateApplicationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateApplicationCommandOutput>;
